Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.exceptions
Class P13nControlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.controls.exceptions.P13nControlException

All Implemented Interfaces
  Serializable

    public class P13nControlException

extends Exception

Class to represent all Exceptions thrown by the Portal controls. It wraps all exceptions thrown by the underlying implementation classes. The underlying Exception class may be retrieved by using the getCause() method.
To print the exception stack trace, add this to your debug.properties file in your domain directory:

     usePackageNames: on
     p13nControls.exceptions.P13nControlException: on

See Also
  `Debug`, `Throwable`, Serialized Form

Constructor Summary
`P13nControlException(String message)` Constructor
`P13nControlException(String message, Throwable cause)` Constructor
`P13nControlException(Throwable cause)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### P13nControlException

    public P13nControlException(String message)

  Constructor

  Parameters
    `message` - String representing the Exception message

### P13nControlException

    public P13nControlException(Throwable cause)

  Constructor

  Parameters
    `cause` - Throwable object representing the causing exception

### P13nControlException

    public P13nControlException(String message,
                                Throwable cause)

  Constructor

  Parameters
    `message` - String representing the exception message
    `cause` - Throwable object representing the caused exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved